<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <View
        android:id="@+id/statusBarBackground"
        android:layout_width="match_parent"
        android:layout_height="24dp"
        android:background="@color/colorPrimaryDark"
        tools:ignore="MissingConstraints" />

    <androidx.appcompat.widget.Toolbar
        android:id="@+id/mToolbar"
        android:layout_width="match_parent"
        android:layout_height="?attr/actionBarSize"
        android:background="@color/colorPrimaryDark"
        app:layout_constraintTop_toBottomOf="@+id/statusBarBackground">

        <ImageView
            android:id="@+id/iv_back"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@drawable/ic_left_back" />

        <ImageView
            android:layout_width="60dp"
            android:layout_height="40dp"
            android:layout_gravity="center"
            android:src="@drawable/ic_yes_partner" />

    </androidx.appcompat.widget.Toolbar>


    <com.seatel.mobilehall.util.customview.CustomEditText
        android:id="@+id/btn_search"
        android:layout_width="0dp"
        android:layout_height="35dp"
        android:layout_marginStart="5dp"
        android:layout_marginTop="@dimen/margin_1x_size"
        android:layout_marginEnd="@dimen/margin_1x_size"
        android:background="@drawable/rounded_corner"
        android:backgroundTint="@color/colorLightGray"
        android:drawableStart="@drawable/ic_search"
        android:drawablePadding="@dimen/margin_2x_size"
        android:gravity="center_vertical"
        android:hint="Search"
        android:imeOptions="actionSearch"
        android:inputType="text"
        android:paddingStart="@dimen/margin_2x_size"
        android:textSize="@dimen/large_text_size"
        app:layout_constraintEnd_toStartOf="@+id/tv_cancel"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/mToolbar" />

    <com.seatel.mobilehall.util.customview.CustomTextView
        android:id="@+id/tv_cancel"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="@dimen/margin_1x_size"
        android:text="Cancel"
        app:layout_constraintBottom_toBottomOf="@+id/btn_search"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@+id/btn_search" />

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginBottom="@dimen/margin_2x_size"
        android:nestedScrollingEnabled="false"
        android:scrollbars="none"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/btn_search">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="0dp">


            <com.seatel.mobilehall.util.customview.CustomTextView
                android:id="@+id/tv_top_partner"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/margin_1x_size"
                android:layout_marginTop="@dimen/margin_2x_size"
                android:text="Top yes Partner"
                android:textColor="@color/colorPrimary"
                android:textStyle="bold"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"

                />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recyclerPartner"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/margin_1x_size"
                android:nestedScrollingEnabled="false"
                app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/tv_top_partner" />


            <com.seatel.mobilehall.util.customview.CustomTextView
                android:id="@+id/tv_by_category"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/margin_1x_size"
                android:layout_marginTop="@dimen/margin_2x_size"
                android:text="Search by Category"
                android:textColor="@color/colorPrimary"
                android:textStyle="bold"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/recyclerPartner" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recyclerCategoryPartner"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:nestedScrollingEnabled="false"
                android:padding="@dimen/margin_1x_size"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/tv_by_category" />


        </androidx.constraintlayout.widget.ConstraintLayout>
    </ScrollView>


</androidx.constraintlayout.widget.ConstraintLayout>